//    Black Penguin - Game for Linux
//    Copyright (C) 1999 Holger Priebs, pengu@priebs.de
//
//    Holger Priebs
//    Hasselkamp 39
//    D - 24119 Kronshagen / Germany
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "CRulesDialogData.h"

#define Inherited QDialog

#include <qlabel.h>
#include <qpushbt.h>
#include <qpixmap.h>
#include "howtoplay.xpm"

CRulesDialogData::CRulesDialogData
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name, TRUE, 53248 )
{
	// ------- added by Holger Priebs 22 Nov 99 
	setCaption("Black Penguin - Rules of the Game");

	QPushButton* dlgedit_PushButton_1;
	dlgedit_PushButton_1 = new QPushButton( this, "PushButton_1" );
	dlgedit_PushButton_1->setGeometry( 150, 260, 100, 30 );
	dlgedit_PushButton_1->setMinimumSize( 10, 10 );
	dlgedit_PushButton_1->setMaximumSize( 32767, 32767 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(16296080) ), QColor( QRgb(16310472) ), QColor( QRgb(8412240) ), QColor( QRgb(16287864) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(8421504) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(8421504) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		dlgedit_PushButton_1->setPalette( palette );
	}
	connect( dlgedit_PushButton_1, SIGNAL(clicked()), SLOT(accept()) );
	dlgedit_PushButton_1->setText( "Dismiss" );
	dlgedit_PushButton_1->setAutoRepeat( FALSE );
	dlgedit_PushButton_1->setAutoResize( FALSE );

	howpix = new QPixmap( howtoplay_xpm );


	resize( 400,300 );
	setMinimumSize( 400, 300 );
	setMaximumSize( 400, 300 );

}

void CRulesDialogData::paintEvent( QPaintEvent * )
{
//	QPixmap* howpix;
	bitBlt(this, 0, 0, howpix );
}

CRulesDialogData::~CRulesDialogData()
{
}
